version: 2
accept_configuration:
  condition: property
  property: features
  not_contains_value: Disable

build_licence_check: &build_licence_check
  type: Group
  instructions:
    - !include "{{license-tools/license-service}}/build_licence_check.yaml"
  disable_if:
    condition: property
    property: features
    contains_value: ServerBuildOnly
test_licene_check: &test_licene_check
  type: Group
  instructions:
    - !include "{{license-tools/license-service}}/test_licene_check.yaml"
  disable_if:
    condition: property
    property: features
    contains_value: ServerBuildOnly
instructions:
  Build:
    - *build_licence_check
  Test:
    - *test_licene_check
